<?php
/**
 * @copyright ONE/DEPO Project
 * @license   PHP License 3.01 <http://www.php.net/license/3_01.txt>
 */


/* vim: set expandtab tabstop=4 shiftwidth=4 softtabstop=4: */

/**
 *
 * @package     Admin.Datamanage.Bank
 * @author      netnee
 * @access      public
 */
class Admin_Datamanage_Bank
{
    var $title;
    var $pagename;

    var $c_systeminfo;

    var $bankname;
    var $shitenname;
    var $shitennumberkey;
    var $kouzadiv;
    var $kouzadiv_array;
    var $kouzanumberkey;
    var $kouzaname;
    var $updcnt;


    function execute()
    {
        $data = $this->c_systeminfo->selectAll();
        
        if (!isset($this->bankname)) {
            $this->bankname = $data[0]["bankname"];
        }
        if (!isset($this->shitenname)) {
            $this->shitenname = $data[0]["shitenname"];
        }
        if (!isset($this->shitennumberkey)) {
            $this->shitennumberkey = $data[0]["shitennumberkey"];
        }
        if (!isset($this->kouzadiv)) {
            $this->kouzadiv = $data[0]["kouzadiv"];
        }
        $this->kouzadiv_array
            = array(1 => '普通', 2 => '当座');
        
        if (!isset($this->kouzanumberkey)) {
            $this->kouzanumberkey = $data[0]["kouzanumberkey"];
        }
        if (!isset($this->kouzaname)) {
            $this->kouzaname = $data[0]["kouzaname"];
        }
        if (!isset($this->updcnt)) {
            $this->updcnt = $data[0]["updcnt"];
        }
        return 'success';
    }
}
?>
